import path from "path";

import { createReadAllPage } from "@/components/OrganizedContent/ReadAll";
import { createReadAllGetStaticProps } from "@/components/OrganizedContent/static";
import {
  mobileShapesConfig,
  aboutShapesConfig,
} from "@/components/ShapesBackground";

export const options = {
  pagePath: path.join("about", "constitution"),
  title: "Constitution",
  image: "images/constitution.svg",
  getShapesConfig: () =>
    window.innerWidth <= 768 ? mobileShapesConfig : aboutShapesConfig,
};

export default createReadAllPage(options);

export const getStaticProps = createReadAllGetStaticProps(options.pagePath);
